=== plugins/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2025 Nicolas Fella <nicolas.fella@gmx.de>
# SPDX-License-Identifier: BSD-2-Clause

add_subdirectory(nextcloud)
add_subdirectory(mastodon)
add_subdirectory(google)
