=== debian/changelog ===
konlineaccounts (0.1.0+p24.04+vunstable+git20260203.0926-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 03 Feb 2026 09:26:25 +0000

konlineaccounts (0.1.0-0neon) noble; urgency=medium

  * Initial packaging

 -- Neon CI <neon@kde.org>  Tue, 03 Feb 2026 17:03:48 +1000
