=== debian/control ===
Source: konlineaccounts
Section: kde
Priority: optional
Uploaders: Diane Trout <diane@ghic.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               kf6-extra-cmake-modules,
               kf6-kcmutils-dev,
               kf6-kconfig-dev,
               kf6-kcoreaddons-dev,
               kf6-kcrash-dev,
               kf6-kdbusaddons-dev,
               kf6-ki18n-dev,
               kf6-kio-dev,
               kpim6-libkgapi-dev,
               pkg-kde-tools-neon,
               pkgconf,
               qcoro-qt6-dev,
               qt6-base-dev,
               qt6-declarative-dev,
               qt6-networkauth-dev,
               qt6-webengine-dev
Standards-Version: 4.6.2
Homepage: https://invent.kde.org/system/konlineaccounts.git
Vcs-Git: https://invent.kde.org/neon/neon-packaging/konlineaccounts.git
Vcs-Browser: https://invent.kde.org/neon/neon-packaging/konlineaccounts
Maintainer: Neon CI <neon@kde.org>

Package: konlineaccounts
Architecture: any
X-Neon-MergedPackage: true
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: System to administer online accounts
 KOnlineAccounts is a system service to allow applications to obtain
 information about system-wide logged in accounts. It's designed to
 replace the current KAccounts system.

Package: konlineaccounts-dev
Architecture: any
X-Neon-MergedPackage: true
Multi-Arch: same
Depends: kf6-kcoreaddons-dev,
         konlineaccounts (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: System to administer online accounts - development files
 KOnlineAccounts is a system service to allow applications to obtain
 information about system-wide logged in accounts. It's designed to
 replace the current KAccounts system.
 .
 This package contains the Qt6 based development files.
