=== debian/changelog ===
konlineaccounts (0.1.0+p24.04+vunstable+git20260203.0935-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 03 Feb 2026 09:35:11 +0000
